| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IPrecedenceSvc Class Referenceabstract

Abstract interface for a service that manages tasks' precedence. More...

`#include <src/IPrecedenceSvc.h>`

Inheritance diagram for IPrecedenceSvc:
[legend]
Collaboration diagram for IPrecedenceSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IPrecedenceSvc, 1, 0)
| InterfaceID. More...
virtual StatusCode | iterate (EventSlot &, const Cause &)=0
| Infer the precedence effect caused by an execution flow event. More...
virtual StatusCode | simulate (EventSlot &) const =0
| Simulate execution flow. More...
virtual bool | CFRulesResolved (EventSlot &) const =0
| Check if control flow rules are resolved. More...
virtual uint | getPriority (const std::string &) const =0
| Get task priority. More...
virtual bool | isBlocking (const std::string &) const =0
| Check if a task is CPU-blocking. More...
virtual void | dumpControlFlow () const =0
| Dump precedence rules. More...
virtual void | dumpDataFlow () const =0
virtual const std::string | printState (EventSlot &) const =0
virtual void | dumpPrecedenceRules (EventSlot &)=0
| Dump precedence rules. More...
virtual void | dumpPrecedenceTrace (EventSlot &)=0
| Dump precedence trace. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Abstract interface for a service that manages tasks' precedence.

Author
  Illya Shapoval @created Aug 7, 2017

Definition at line 23 of file IPrecedenceSvc.h.

## Member Function Documentation

## ◆ CFRulesResolved()

virtual bool IPrecedenceSvc::CFRulesResolved | ( | EventSlot & |  | ) | const
| pure virtual

Check if control flow rules are resolved.

## ◆ DeclareInterfaceID()

IPrecedenceSvc::DeclareInterfaceID | ( | IPrecedenceSvc | ,
|  | 1 | ,
|  | 0 |
| ) |  |

InterfaceID.

## ◆ dumpControlFlow()

virtual void IPrecedenceSvc::dumpControlFlow | ( |  | ) | const
| pure virtual

Dump precedence rules.

## ◆ dumpDataFlow()

virtual void IPrecedenceSvc::dumpDataFlow | ( |  | ) | const
| pure virtual

## ◆ dumpPrecedenceRules()

virtual void IPrecedenceSvc::dumpPrecedenceRules | ( | EventSlot & |  | ) |
| pure virtual

Dump precedence rules.

## ◆ dumpPrecedenceTrace()

virtual void IPrecedenceSvc::dumpPrecedenceTrace | ( | EventSlot & |  | ) |
| pure virtual

Dump precedence trace.

## ◆ getPriority()

virtual uint IPrecedenceSvc::getPriority | ( | const std::string & |  | ) | const
| pure virtual

Get task priority.

## ◆ isBlocking()

virtual bool IPrecedenceSvc::isBlocking | ( | const std::string & |  | ) | const
| pure virtual

Check if a task is CPU-blocking.

## ◆ iterate()

virtual StatusCode IPrecedenceSvc::iterate | ( | EventSlot & | ,
|  | const Cause & |
| ) |  |
| pure virtual

Infer the precedence effect caused by an execution flow event.

## ◆ printState()

virtual const std::string IPrecedenceSvc::printState | ( | EventSlot & |  | ) | const
| pure virtual

## ◆ simulate()

virtual StatusCode IPrecedenceSvc::simulate | ( | EventSlot & |  | ) | const
| pure virtual

Simulate execution flow.

The documentation for this class was generated from the following file:

- GaudiHive/src/IPrecedenceSvc.h